com.brightcove.player.controller

## Class BrightcovePlayerOptionsManager

- java.lang.Object
- - com.brightcove.player.controller.BrightcovePlayerOptionsManager

-     public class BrightcovePlayerOptionsManager
      extends java.lang.Object

  Singleton class used to make manage the player options menu and its items, used for Android TV. It's also used to obtain the state of its elements.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `android.widget.RadioGroup` | `getAudioTracksGroup()` Gets audio tracks group.
    `android.widget.TextView` | `getAudioTracksTitle()` Gets the audio tracks title.
    `android.widget.RadioGroup` | `getCaptionsGroup()` Gets the captions group.
    `android.widget.TextView` | `getCaptionsTitle()` Gets the captions title.
    `static BrightcovePlayerOptionsManager` | `getInstance()` Method that returns the singleton instance
    `android.view.View` | `getPlayerOptionsView()` Gets the player options menu view.
    `void` | `hideAudioTracksOptions()` Hide the audio tracks options.
    `void` | `hideCaptionsOptions()` Hide the captions options.
    `void` | `hidePlayerOptions(EventEmitter eventEmitter)` Hide the player options menu.
    `android.view.View` | `initPlayerOptions(android.view.ViewGroup root)` Initializes the player options menu and will add it to the ViewGroup provided.
    `boolean` | `isAudioTracksVisible()` Tells you whether the audio tracks is visible or not.
    `boolean` | `isCaptionsVisible()` Tells you whether the captions is visible or not.
    `boolean` | `isPlayerOptionsVisible()` Tells you whether the player options menu is visible or not.
    `void` | `showAudioTracksOptions()` Show the audio tracks options.
    `void` | `showCaptionsOptions()` Show the captions options.
    `void` | `showPlayerOptions(EventEmitter eventEmitter)` Show the player options menu.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static BrightcovePlayerOptionsManager getInstance()

      Method that returns the singleton instance
      Returns:
        the BrightcovePlayerOptionsManager instance

    - #### initPlayerOptions

          public android.view.View initPlayerOptions(android.view.ViewGroup root)

      Initializes the player options menu and will add it to the ViewGroup provided. If the player option was already added to the ViewGroup, the layout view will be returned,
      Parameters:
        `root` - the view root where the player options menur will be added to
      Returns:
        the layout view containing the player options

    - #### isPlayerOptionsVisible

          public boolean isPlayerOptionsVisible()

      Tells you whether the player options menu is visible or not.
      Returns:
        true if it's visible

    - #### showPlayerOptions

          public void showPlayerOptions(EventEmitter eventEmitter)

      Show the player options menu.
      Parameters:
        `eventEmitter` - the event emitter

    - #### hidePlayerOptions

          public void hidePlayerOptions(EventEmitter eventEmitter)

      Hide the player options menu.
      Parameters:
        `eventEmitter` - the event emitter

    - #### isAudioTracksVisible

          public boolean isAudioTracksVisible()

      Tells you whether the audio tracks is visible or not.
      Returns:
        true if it's visible.

    - #### hideAudioTracksOptions

          public void hideAudioTracksOptions()

      Hide the audio tracks options.

    - #### showAudioTracksOptions

          public void showAudioTracksOptions()

      Show the audio tracks options.

    - #### isCaptionsVisible

          public boolean isCaptionsVisible()

      Tells you whether the captions is visible or not.
      Returns:
        true if it's visible.

    - #### hideCaptionsOptions

          public void hideCaptionsOptions()

      Hide the captions options.

    - #### showCaptionsOptions

          public void showCaptionsOptions()

      Show the captions options.

    - #### getPlayerOptionsView

          public android.view.View getPlayerOptionsView()

      Gets the player options menu view.
      Returns:
        the player options menu View

    - #### getAudioTracksTitle

          public android.widget.TextView getAudioTracksTitle()

      Gets the audio tracks title.
      Returns:
        the audio tracks title TextView.

    - #### getAudioTracksGroup

          public android.widget.RadioGroup getAudioTracksGroup()

      Gets audio tracks group.
      Returns:
        the audio tracks RadioGroup

    - #### getCaptionsTitle

          public android.widget.TextView getCaptionsTitle()

      Gets the captions title.
      Returns:
        the captions title TextView.

    - #### getCaptionsGroup

          public android.widget.RadioGroup getCaptionsGroup()

      Gets the captions group.
      Returns:
        the captions RadioGroup.